GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
XMMReg4Double Class Reference

## Public Member Functions
| XMMReg4Double (const XMMReg4Double &other)
XMMReg4Double & | operator= (const XMMReg4Double &other)
XMMReg4Double & | operator+= (const XMMReg4Double &other)
XMMReg4Double & | operator*= (const XMMReg4Double &other)
XMMReg4Double | operator+ (const XMMReg4Double &other) const
XMMReg4Double | operator- (const XMMReg4Double &other) const
XMMReg4Double | operator* (const XMMReg4Double &other) const
XMMReg4Double | operator/ (const XMMReg4Double &other) const
void | AddLowAndHigh ()
XMMReg2Double & | GetLow ()
XMMReg2Double & | GetHigh ()
void | Store4Val (unsigned short *ptr) const

## Static Public Member Functions
static XMMReg4Double | Zero ()
static XMMReg4Double | Load1ValHighAndLow (const double *ptr)
static XMMReg4Double | Load4Val (const unsigned char *ptr)
static XMMReg4Double | Load4Val (const short *ptr)
static XMMReg4Double | Load4Val (const unsigned short *ptr)
static XMMReg4Double | Load4Val (const double *ptr)
static XMMReg4Double | Load4ValAligned (const double *ptr)
static XMMReg4Double | Load4Val (const float *ptr)
static XMMReg4Double | Equals (const XMMReg4Double &expr1, const XMMReg4Double &expr2)
static XMMReg4Double | NotEquals (const XMMReg4Double &expr1, const XMMReg4Double &expr2)
static XMMReg4Double | Greater (const XMMReg4Double &expr1, const XMMReg4Double &expr2)
static XMMReg4Double | And (const XMMReg4Double &expr1, const XMMReg4Double &expr2)
static XMMReg4Double | Ternary (const XMMReg4Double &cond, const XMMReg4Double &true_expr, const XMMReg4Double &false_expr)
static XMMReg4Double | Min (const XMMReg4Double &expr1, const XMMReg4Double &expr2)

## Public Attributes
XMMReg2Double | low
XMMReg2Double | high

The documentation for this class was generated from the following file:

- gdalsse_priv.h

Generated for GDAL by 1.8.8.